Перейти к содержимому

YoBit.Net

Фотография

p2pool Децентрализованный пул

p2pool настройка конфиг вывод

Сообщений в теме: 3768

#681 e46btc

e46btc

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 2738 сообщений
  • ГородРоссия

Отправлено 27 October 2015 - 10:46

А che2 почему то нету. Или я чего то не понимаю?

85.173.165.97:9332 Russian Federation 0.5% 4 days 101.88% 51344.626 GH/s 8  
  • -1

- Телеграм-бот для ускорения BTC транзакций http://t.me/FastTXbot

- Ускорение/возврат/отмена транзакции при помощи двойной траты (инструкция) https://forum.bits.m...uktciia-s-karti
- Решение самых сложных случаев с транзакциями, двойная трата, восстановление кошельков. ЛС.

"Если Вы считаете, что компетентность стоит дорого, то попробуйте некомпетентность — она обойдётся вам гораздо дороже" ©


#682 scopus

scopus

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 7733 сообщений

Отправлено 27 October 2015 - 10:49

А che2 почему то нету. Или я чего то не понимаю?

- If you would like us to add your node or if you have any ideas to make this scanner better than please email me at mike@p2pool.co

- Если вы хотите, чтобы мы добавить узел, или если у вас есть какие-то идеи, чтобы сделать этот сканер лучше, чем пожалуйста, напишите мне на mike@p2pool.co

 

Я так понимаю, ничего строго официального и учитывающего действительную реальность нет.

Есть масса нод, которые не хотят публичности..


85.173.165.97:9332 Russian Federation 0.5% 4 days 101.88% 51344.626 GH/s 8  

От меня пинг чудесный не более 12 мс


  • 1

#683 Vidikudik

Vidikudik

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 1394 сообщений

Отправлено 27 October 2015 - 14:24

Жена уже устала ждать.....

   Будут блоки, нет ?

 

     b523ca502940922.jpg


  • 0

#684 m_a17

m_a17

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 910 сообщений
  • ГородЮжная столица

Отправлено 27 October 2015 - 14:49

Жена уже устала ждать.....

   Будут блоки, нет ?

 

     b523ca502940922.jpg

сейчас до 35% удачи дойдет и как пойдут один за  одним ..

2.gif


  • 0

Если не можем повлиять на события -- изменяем отношения к ним..                       --------------------- кнопочка реакции  =

It's time for a block guys.


#685 scopus

scopus

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 7733 сообщений

Отправлено 27 October 2015 - 15:09

Жена уже устала ждать.....

     

Нифига себе у тебя жена ....   :wacko2:  :wub:


  • 0

#686 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 27 October 2015 - 17:20

Народ, а кто-нить игрался с параметрами в этой строке для уменьшения hw и DOA?

PARAMS="$AOPTIONS $POOL1 $POOL2 $POOL3 $_pb $_ow $_bec --api-listen --api-network --bitmain-checkn2diff --bitmain-hwerror --bitmain-voltage $_vl --version-file /usr/bin/compile_time --queue 4096"  

В частности для S3-x.

И еще для S3 вопрос: какое оптимальное или допустимое соотношение между Accepted, Rejected и Discarded?

Сейчас на сложности 300 вот такая ситуация.

Соотношение accepted, discarded и reject.jpg

Спасибо за внимание. 


Сообщение отредактировал AndreyNag: 27 October 2015 - 19:34

  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#687 daemon1

daemon1

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 958 сообщений

Отправлено 27 October 2015 - 20:11

а как узнать, какая нода п2п нашла блок ?


  • 0

#688 KlopS5

KlopS5

    TornDummy

  • Пользователи
  • PipPipPip
  • 966 сообщений

Отправлено 27 October 2015 - 20:19

а как узнать, какая нода п2п нашла блок ?

Блокчейн - Распространение по сети - впервые обнаружено - ip адрес - добавляешь порт 9332 + там же можно посмотреть какой именно майнер.


  • 0

#689 ISawa

ISawa

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 893 сообщений

Отправлено 27 October 2015 - 20:19

Народ, а кто-нить игрался с параметрами в этой строке для уменьшения hw и DOA?

PARAMS="$AOPTIONS $POOL1 $POOL2 $POOL3 $_pb $_ow $_bec --api-listen --api-network --bitmain-checkn2diff --bitmain-hwerror --bitmain-voltage $_vl --version-file /usr/bin/compile_time --queue 4096"  

queue 0


Сообщение отредактировал ISawa: 27 October 2015 - 20:21

  • 1

#690 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 27 October 2015 - 21:49

queue 0

А пятеркам тоже queue 0 стоит поставить?

Спасибо.


  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#691 ISawa

ISawa

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 893 сообщений

Отправлено 27 October 2015 - 22:00

А пятеркам тоже queue 0 стоит поставить?

Спасибо.

да.
У пятёрок это прописывается в

/config/user_setting


Сообщение отредактировал ISawa: 27 October 2015 - 22:02

  • 1

#692 KlopS5

KlopS5

    TornDummy

  • Пользователи
  • PipPipPip
  • 966 сообщений

Отправлено 27 October 2015 - 23:17

Вот для этого Matt Corallo  и сделал Bitcoin Relay Network

 

Итак - ставим - Bitcoin Relay Network (проверил на тестовой ноде).

Для владельцев нод рекомендую - повышения эффективности ноды - снижение Orphan шар.

Проверял экстремально - установил в bitcoin.conf maxconnections=5 - получил ноду с 50% эффективностью :D  - подключил к ней Bitcoin Relay Network - при тех же 5 коннектах - 107%.

Итак - у меня Ubuntu 14.04 с видеокартой, вот как я сделал

git clone https://github.com/TheBlueMatt/RelayNode
cd RelayNode/c++
make
sudo cp relaynetworkclient /usr/local/bin/relaynetworkclient

Далее засунул вот такой скрипт в автоматически запускаемые приложения

#!/bin/sh
sleep 30
gnome-terminal --command="relaynetworkclient 127.0.0.1 8333"

Получаем

Received transaction of size 1905 from relay server

Sent transaction of size 1905 to relay server

Чем меньше у вас указанно maxconnections - тем чаще вы будете получать транзакции через relay server. Жрет 10 мб оперативки и 0 проц - продвинутый peer bitcoind :D


  • 1

#693 SimGa

SimGa

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 1032 сообщений
  • ГородInTeRneT

Отправлено 28 October 2015 - 00:08

KlopS5,AndreyNag,daemon1,AndreyNag,scopus,m_a17,e46btc, ребята , а что мы здесь тусуемся то ? может перейдем в ветку ISawa П2Рулл ?

 

Здесь ТС два года как небыло, в шапке вообще непойми что :( новичёк заходит и в ШОКЕ!

 

там , надеюсь ISawa сможет поддерживать актуальную шапку, если попросить по человечески, да и вообще он спец по питупул


Сообщение отредактировал SimGa: 28 October 2015 - 00:09

  • -1

Пластик для Биткоин - ePayments (EPA) - ассоциация электронных платежей + Биржа криптовалют DSX ...
                        Еще пластик для Биткоин - Advanced Cash - деньги и интернет это просто

                                                           Эмулятор монитора HDMI-VGA; полимерное масло для вентиляторов ПМС-200


#694 m_a17

m_a17

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 910 сообщений
  • ГородЮжная столица

Отправлено 28 October 2015 - 00:19

Спасибо за то что приписали меня(чайнико-держателя) к гильдии профи-нодо-пуло-знающих..на ветку ISAWa подписан тоже -куда Вы туда и я...зырингом заниматься (шопинг без денег )
  • 1

Если не можем повлиять на события -- изменяем отношения к ним..                       --------------------- кнопочка реакции  =

It's time for a block guys.


#695 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 28 October 2015 - 02:10

Далее засунул вот такой скрипт в автоматически запускаемые приложения

 

Спасибо за усовершенствования.

На серверной версии сделал науке через скелетон по аналогии с демонами. Да и в консольной версии ubuntu gnome отсутствует как класс. 

По аналогии с этим материалом сделал адаптированный скрипт и прописал его автозапуск. 

 

в папке /etc/init.d/ создаём файл relaynetworkclient

#!/bin/sh
# kFreeBSD do not accept scripts as interpreters, using #!/bin/sh and sourcing.
if [ true != "$INIT_D_SCRIPT_SOURCED" ] ; then
    set "$0" "$@"; INIT_D_SCRIPT_SOURCED=true . /lib/init/init-d-script
fi
### BEGIN INIT INFO
# Provides:          skeleton
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Example initscript
# Description:       This file should be used to construct scripts to be
#                    placed in /etc/init.d.  This example start a
#                    single forking daemon capable of writing a pid
#                    file.  To get other behavoirs, implemend
#                    do_start(), do_stop() or other functions to
#                    override the defaults in /lib/init/init-d-script.
### END INIT INFO
 
# Author: Foo Bar <foobar@baz.org>
#
# Please remove the "Author" lines above and replace them
# with your own name if you copy and modify this script.
 
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
DESC="relaynetworkclient"
NAME=relaynetworkclient
DAEMON=/usr/local/bin/$NAME
DAEMON_ARGS="127.0.0.1 8333"
DAEMON_LOADER="/bin/sleep 3 && /usr/bin/screen -S RNC"$DAEMON
SCRIPTNAME=/etc/init.d/$NAME
CHUID=root:root
 
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
 
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
 
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
 
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON_LOADER --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON_LOADER -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
 
#
# Function that stops the daemon/service
#
#stop_daemon_by_cli()
#{
#[ ! -e "$PIDFILE" ] && echo "$DESC not running!" && return 0
#start-stop-daemon --start --chuid $CHUID --exec $CLI -- -rpcwait stop
#return 0
#}
 
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
stop_daemon_by_cli
start-stop-daemon --stop --quiet --chuid $CHUID --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $NAME
 
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
 
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
 
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
 
 

И далее по аналогии

 

 

# Делаем скрипт исполняемым (находимся в папке /etc/init.d)
sudo chown +relaynetworkclient
# Выходим из папки /etc/init.d и Запускаем скрипт:
/etc/init.d/relaynetworkclient
# Должна появиться строка "{start|stop|restart|reload|force-reload}" нас интересует "start" и "stop"
/etc/init.d/relaynetworkclient start
# Проверяем запустился демон relaynetworkclient утилитой "htop"
sudo htop
# Если видим как на скрине то все ОК если нет ищем ошибки!!!
# Остановка нашего демона
/etc/init.d/relaynetworkclient stop
# Если старт-стоп происходит без ошибок добавляем скрипт а автозагрузку
sudo update-rc.d relaynetworkclient defaults
# С этого момента скрипты будут стартовать и останавливаться сами при включении или отключении сервера!!!
# Если нужно удалить из автостарта то выполняем следующую команду
sudo update-rc.d -f relaynetworkclient remove

Для контроля спрашиваем в каком screen крутится наш новенький "демон"

screen -list

или сразу 

screen -r relaynetworkclient

для того, чтобы отключиться от демона, не прерывая его работы надо ctrl+a и далее кнопку d (detach-отключиться).

 

В процессе наладки что-то поломал и демон перестал запускаться в screen. Уже рано и голова плохо соображает. Ткните носом плиз.

Успехов.


Сообщение отредактировал AndreyNag: 28 October 2015 - 02:15

  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#696 scopus

scopus

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 7733 сообщений

Отправлено 28 October 2015 - 10:32

А как попросить модераторов перенести часть сообщений содержщих полезную инфу туда?


  • 0

#697 igorwhite

igorwhite

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 886 сообщений
  • ГородМосква

Отправлено 28 October 2015 - 10:41

Да не надо ни куда переносить, пусть останется. Надо что бы кто занялся модерированием ветки.


  • 1

Все куют металл, а я паяю индастриал! 

Pools: Ethereum, Ethereum Classic - Тема Bits.Media Комиссия 0.5% Выплаты каждые 4 часа - 1.1[ETC]. Добро Пожаловать.

Магазин "Esonics"


#698 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 28 October 2015 - 10:44

Итак - ставим - Bitcoin Relay Network (проверил на тестовой ноде).

Информация для экспериментаторов. Если с обычными настроками ноде было достаточно 4Гб памяти, то с relaynetworkclient надо в разы больше.  

Имеёте это ввиду!


  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#699 ISawa

ISawa

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 893 сообщений

Отправлено 28 October 2015 - 10:52

KlopS5,AndreyNag,daemon1,AndreyNag,scopus,m_a17,e46btc, ребята , а что мы здесь тусуемся то ? может перейдем в ветку ISawa П2Рулл ?

 

Здесь ТС два года как небыло, в шапке вообще непойми что :( новичёк заходит и в ШОКЕ!

 

там , надеюсь ISawa сможет поддерживать актуальную шапку, если попросить по человечески, да и вообще он спец по питупул

Там немного другой тематики ветка, по п2пулам с 0% fee. Не только BTC а любой монетки.
А здесь, правильно говорят, нужно модератора и немного поправить шапочку.


Сообщение отредактировал ISawa: 28 October 2015 - 10:53

  • 0

#700 scopus

scopus

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 7733 сообщений

Отправлено 28 October 2015 - 11:11

У моего терпения наступил нервоз  :wacko:

Не из-за шести дней отсутствия блоков, это все компенисируется, а из-за Predicted payout.

Может мне кто нибудь обьяснить однозначно, а не расплывчато,если не знает, то лучше не писать свои теории, куда уходит Predicted payout, было на 6 тх/с 0,12... стало 0,099... да мощность всего пула выросла, но было и при такой же мощности столько же и при меньшей уменьшалось.


Сообщение отредактировал scopus: 28 October 2015 - 11:11

  • 0




Количество пользователей, читающих эту тему: 11

1 пользователей, 9 гостей, 0 анонимных


Тему модерирует